%
%  GLOBEC Hourly Averages of RDI Broadband 150 kHz ADCP Data

% $Log: gbadcphr.m,v $
% Revision 1.1  1999/09/02 18:33:04  root
% *** empty log message ***
%
% Revision 1.2  1999/06/01 16:12:37  dbyrne
%
%
% quick bug fixes for AGU -- dbyrne 99/06/01
%
% Revision 1.1  1999/06/01 07:10:27  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbadcphr.m,v 1.1 1999/09/02 18:33:04 root Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/adcphr';  %151S/151D/152S/152D
CatalogServer = nan;
Cat_m_File = 'gbsjcat';
URL_m_File = 'gbsjurl';

LonRange = [-68.00 -67.25];
LatRange = [40.8 41.2];
TimeRange = [1995.318 1995.45319636];
DepthRange = [7.95 64.98];
Resolution = nan;

DodsName1 = str2mat('yrday0_gmt');
Serverexd = str2mat('151S','151D','152S','152D');
dayend = [117.7, 120.8, 161, 165.5];
DodsName = str2mat('u','v');
DataName = 'ADCP -- Seward Johnson 150 kHz ADCP Hourly Averages -- URI/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'yrday0_gmt';         
DepthName = 'depth';
DepthUnits = 'dbar';
SelectableVariables = str2mat('U_Current','V_Current');
TextField = str2mat('SJ9506','SJ9508');
OptionalVariables = nan;

%correspond to [t,x,y,d,...]
DataScale = [1995 1/365; nan nan; nan nan; nan nan; nan nan; nan nan];
Acknowledge = '';
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                       Hourly Averages of RDI Broadband 150 kHz ADCP Data      ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   pressure                                          dbar',...
'                   U                                                 cm/s east positive',...
'                   V                                                 cm/s north positive',...
'  ',...
' Hourly averages of RDI broadband 150 kHz ADCP. ',...
'  ',...
' Shallow site SJ9506, 41.13 N 67.75 W, 4/27/95 - 4/28/95 ',...
' Deep site SJ9506, 40.87 N 67.55 W, 4/28/95 - 5/1/95.',...
' Shallow site SJ9508, 41.13 N 67.75 W, 6/9/95 - 6/10/95.',...
' Deep site SJ9508, 41.13 N 67.75 W, 6/10/95 - 6/15/95.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 26, 1995 (1995.31837899) ', ...
'         Ending_Date:    Jun. 10, 1995 (1995.45319636)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 67.75 W ', ...
'              East Bounding Coordinate: 67.50 W ', ...
'              South Bounding Coordinate: 40.86 N ', ...
'              North Bounding Coordinate: 41.13 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dave Hebert', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > hebert@micmac.gso.uri.edu',...
'               FAX: 401-874-6728',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];