function [url,loaddodsbool,infotext] = gbbyurl ...
         (getarchive, getranges, getmode, getvariablelist, getserverlist, passtimes, passdepths, whichurl)
%
%    This function will build gbbyadcp/gbbytri file names and return infotext and url to the browser
%

% The preceding empty line is important
% $Log: gbbyurl.m,v $
% Revision 1.1  1999/09/02 18:33:07  root
% *** empty log message ***
%
% Revision 1.1  1999/06/01 07:10:28  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbbyurl.m,v 1.1 1999/09/02 18:33:07 root Exp $
% klee 04/01/99

if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

url = []; infotext = []; text = []; Constraint = [];

Ulat = num2str(getranges(2,2));
Llat = num2str(getranges(2,1));
URLlat = sprintf('%s','&',LatitudeName,'>=',Llat,'&',LatitudeName,'<=',Ulat);

Llon = num2str(getranges(1,1));
Rlon = num2str(getranges(1,2));
% for [-180, 180]  
URLlon = sprintf('%s','&',LongitudeName,'>=',Llon,'&',LongitudeName,'<=', Rlon);

Constraint = [Constraint, URLlat, URLlon];

returned_var = [];
for i = 1:size(getvariablelist,1)
  returned_var = [returned_var, dods_dbk(getvariablelist(i,:))];  
  if i < size(getvariablelist,1)
    returned_var = [returned_var, ','];
  end
end

url = [Server, '?', returned_var, Constraint];
infotext = sprintf('%s', ...
                   '  ',...
                   'This bathymetry data set is not on a grid basis. It contains three vectors of longitude, latitude,',...
                   'and water depth. When viewing/displaying, please select ''points'' instead of ''images''.');

return

  

  

  
