%
%  GLOBEC Endeavor 261 Alongtrack Data 

% The preceding empty line is important
% $Log: gben1ss.m,v $
% Revision 1.1  1999/09/02 18:33:15  root
% *** empty log message ***
%
% Revision 1.2  1999/07/15 20:13:12  kwoklin
% Use Sea_Surface_Temp in SelectableVariables.   klee
%
% Revision 1.1  1999/06/01 07:10:29  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:04  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gben1ss.m,v 1.1 1999/09/02 18:33:15 root Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/en261ss'; 
CatalogServer = nan;
Cat_m_File = 'gbenssc';
URL_m_File = 'gben1ssu';

LonRange = [-71.5 -65.5]; 
LatRange = [40.2 42.5];   
TimeRange = [1995.10958904 1995.13698440];
DepthRange = [-942.9 -1033.2];  
Resolution = nan;

DodsName1 = str2mat('gmtyear','gmtmonth','gmtday','gmttime');
DodsName = str2mat('temp','sal','flvolt','paws','pawa','saws','sawa','airtemp','humidity');
DodsName = str2mat(DodsName, 'fspdb');
DataName = 'AlongTrack --  Endeavor 261 (CTD, MET & Navigation) -- WHOI/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('gmtyear','gmtmonth','gmtday','gmttime');         
DepthName = 'metpress';
DepthUnits = 'millibars';
SelectableVariables = str2mat('Sea_Temp','Salinity','Fluorescence', ...
    'App_Wind_Speed_Pt','App_Wind_Dir_Pt','App_Wind_Speed_St', ...
    'App_Wind_Dir_St','Air_Temp','Humidity');
SelectableVariables = str2mat(SelectableVariables, 'Speed_Forward');
TextField = str2mat('EN261');
OptionalVariables = str2mat('ss1temp','csdepth','fspdw');
SelectableOptional = str2mat('Sea_Surface_Temp','Depth_cs','Speed_Forward_w');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                                  Endeavor 261 Alongtrack Data      ',...
'   ',...
'                   Parameter         Description                               Units',...
'                 --------------------------------------------------------------------',...
'   ',...
'                   gmtyear           GMT year',...
'                   gmtmonth          GMT month',...
'                   gmtday            GMT day',...
'                   gmttime           GMT time',...
'                   lat               latitude                                  decimal degrees',...
'                   lon               longitude                                 decimal degrees',...
'                   temp              temperature                               degrees C',...
'                   sal               salinity                                  practical salinity units',...
'                   flvolt            fluorometer                               volts',...
'                   lat2              secondary latitude                        decimal degrees',...
'                   lon2              secondary longitude                       decimal degrees',...
'                   paws              port apparent wind speed                  knots',...
'                   saws              starboard apparent wind speed             knots',...
'                   pawa              port apparent wind azimuth                degrees',...
'                   sawa              starboard apparent wind azimuth           degrees',...
'                   airtemp           air temperature                           degrees C',...
'                   humidity          relative humidity                         percent',...
'                   metpress          barometric pressure                       millibars',...
'                   ssltemp           sea surface temperature                   degrees',...
'                                     measured 1 meter below the surface',...
'                   ss5temp           sea surface temperature                   degrees',...
'                                     measured 5 meters below the surface',...
'                   csdepth           chirp Sonar depth below                   meters',...
'                                     transducer',...
'                   fspdw             forward speed with respect to             knots',...
'                                     the water',...
'                   sspdw             starboard speed with respect to           knots',...
'                                     the water',...
'                   fspdb             forward speed with respect to             knots',...
'                                     the bottom',...
'                   sspdb             starboard speed with respect to           knots',...
'                                     the bottom',...
'                   sldepth           speed log depth below the                 meters',...
'                                     transducer',...
'                   head              ship''s heading                           degrees',...
'                   head2             alternate ship''s heading                 degrees',...
'                   mqual             Magellan GPS quality indicator',...
'                   msmg              Magellan GPS speed made good              knots',...
'                   mcmg              Magellan GPS course made good             degrees',...
'                   tqual             Trimble GPS quality indicator',...
'                   tsmg              Trimble GPS speed made good               knots',...
'                   tcmg              Trimble GPS course made good              degrees',...
'  ',...
'  ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Feb. 10, 1995 (1995.10958904) ', ...
'         Ending_Date:    Feb. 19, 1995 (1995.13698440)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 71.4198 W ', ...
'              East Bounding Coordinate: 65.9511 W ', ...
'              South Bounding Coordinate: 40.4477 N ', ...
'              North Bounding Coordinate: 42.3729 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Peter Wiebe', ...
'               WHOI',...
'               Redfield 2-26 MS #33 ',...
'               Woods Hole, MA 02543-1049 ', ...
'               USA',...
'               Electronic Mail Address:INTERNET > pwiebe@whoi.edu',...
'               FAX: 508-457-2169 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];