%
%  Globec Wind Stress From NOAA Buoys

%
% $Log: gbnfws.m,v $
% Revision 1.1  1999/09/02 18:33:22  root
% *** empty log message ***
%
% Revision 1.3  1999/07/13 14:46:04  kwoklin
% Use getnfws for gbnfws. Fix empty lat/lon return in gbnfwsc. Coded lat/lon
% display in getnfws.   klee
%
% Revision 1.1  1999/06/01 07:10:32  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbnfws.m,v 1.1 1999/09/02 18:33:22 root Exp $
%  klee 03/99

GetFunctionName = 'getnfws';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/nmfsws'; 
CatalogServer = nan;
Cat_m_File = 'gbnfwsc';
URL_m_File = 'gbnfwsu';

LonRange = [-70 -65];
LatRange = [40 43];
TimeRange = [1975.32865315 1997.99988575];
DepthRange = [0.0 0.0];
Resolution = nan;

DodsName1 = str2mat('year','yrday0_gmt');
DodsName = str2mat('taux','tauy');
DataName = 'Wind - Wind Stress from NOAA Buoys - NMFS/GLOBEC';    
LongitudeName = 'Longitude';
LatitudeName = 'Latitude';
TimeName = str2mat('year','yrday0_gmt');         
DepthName = '';
DepthUnits = '';
SelectableVariables = str2mat('U_Wind_Stress','V_Wind_Stress');
TextField = str2mat('st1','440011','44008','44003','ntls');
OptionalVariables = nan;

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                            Globec Wind Stress From NOAA Buoys',...
'   ',...
'                   Parameter         Description                    Units',...
'                 ----------------------------------------------------------',...
'                   yrday_gmt         year & yearday combo           decimal yearday   ',...             
'                   taux              eastward(+)/west(-) stress     Pascals',...
'                   tauy              northward(+)/south stress      Pascals',...
'   ',...
'Wind Stress as calculated by Large & Pond (JPO, ''81) where the wind is corrected to 10m elevation.',...
'   ',...
'Matlab code ("wstr.m") & raw data available on request from Jim Manning.',...
'   ',...
'Additional information is available in the manuscript located at',...
'http://www.wh.whoi.edu/manning/ao1.html.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 29, 1975 (1975.32865315)', ...
'         Ending_Date:    Dec. 30, 1997 (1997.99988575)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 70 W ', ...
'              East Bounding Coordinate: 65 W ', ...
'              South Bounding Coordinate: 40 N ', ...
'              North Bounding Coordinate: 43 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258 ',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1];