%
%  GLOBEC Mooring CTD Data from OC333 

%
% $Log: gbocctd.m,v $
% Revision 1.1  1999/09/02 18:33:24  root
% *** empty log message ***
%
% Revision 1.1  1999/06/01 07:10:32  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbocctd.m,v 1.1 1999/09/02 18:33:24 root Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/oc333ctd'; 
CatalogServer = nan;
Cat_m_File = 'gbrlctdc';
URL_m_File = 'gbocctdu';

LonRange = [-66.8 -65.6]; 
LatRange = [41.3 42.4];   
TimeRange = [1998.8739727 1998.88493151];
DepthRange = [1 913];  
Resolution = nan;

DodsName1 = str2mat('year_utc','month_utc','day_utc','time_utc');
DodsName = str2mat('temp','sal','cast');
DataName = 'Water Column - Mooring CTD collected from OC333 - WHOI/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('year_utc','month_utc','day_utc','time_utc');         
DepthName = 'pres';
DepthUnits = 'dbars';
SelectableVariables = str2mat('Sea_Temp','Salinity');
TextField = str2mat('OC333');
OptionalVariables = str2mat('depth_w','depth');
SelectableOptional = str2mat('Depth_Water','Depth_Cast');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                                    GLOBEC Mooring CTD Data from OC333      ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   cast              cast number                     na ',...
'                   lat               latitude                        decimal degress',... 
'                   lon               longitude                       decimal degress ',...
'                   depth_w           water depth                     meters ',...
'                   depth             depth of cast                   meters ',...
'                   day_utc           day                             UTC ',...
'                   month_utc         month                           UTC ',...
'                   year_utc          year                            UTC ',...
'                   time_utc          time                            UTC (hours & minutes, 2400 clock)',... 
'                   comments          comments                        na ',...
'                   pres              pressure, depth of sample       decibars',... 
'                   temp              water temperature               ITS-90, degrees C',... 
'                   sal               salinity                        psu (practical salinity units) ',...
'  ',...
' Note that other data were collected at these positions including surface irradiance, density,',...
' sound velocity, conductivity, etc. Please contact the Data Management Office or the contributor ',...
' for these data. ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Nov. 16, 1998 (1998.87626522) ', ...
'         Ending_Date:    Nov. 20, 1998 (1998.88670472)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 66.702758 W ', ...
'              East Bounding Coordinate: 65.642045 W ', ...
'              South Bounding Coordinate: 41.382337 N ', ...
'              North Bounding Coordinate: 42.323433 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Richard Limeburner', ...
'               Clark 343A, MS #21 ',...
'               Woods Hole, MA 02543-1541 ',...
'               USA ', ...
'               FAX: 508-457-2181 ',...
'               Electronic Mail Address:INTERNET > rlimeburner@whoi.edu',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];