%
%  GLOBEC OCEANUS Shipboard Data

% The preceding empty line is important
% $Log: gbocss.m,v $
% Revision 1.1  1999/09/02 18:33:31  root
% *** empty log message ***
%
% Revision 1.1  1999/06/01 07:10:32  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:05  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbocss.m,v 1.1 1999/09/02 18:33:31 root Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/ocss';  
CatalogServer = nan;
Cat_m_File = 'gbocssc';
URL_m_File = 'gbocssu';

LonRange = [-70.5 -66];
LatRange = [40 42];
TimeRange = [1997.03013699 1997.39089611];
DepthRange = [-989.61 -1025.11];
Resolution = nan;

DodsName1 = str2mat('year','yrday0_gmt','cruise_id');
dayend = [17, 106, 143];
DodsName = str2mat('temp_air','temp_ss5','sal','ewind','nwind','radiation_s','wind_taux','wind_tauy');
DataName = 'AlongTrack - OCEANUS Alongtrack sensor - NMFS/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = str2mat('year','yrday0_gmt');         
DepthName = 'press_bar';
DepthUnits = 'millibars';
SelectableVariables = str2mat('Air_Temp','Sea_Temp','Salinity','U_Wind','V_Wind',...
                              'Radiation','U_Wind_Stress','V_Wind_Stress');
TextField = str2mat('oc296','oc301','oc303');
OptionalVariables = str2mat('cond');
SelectableOptional = str2mat('Conductivity');

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                               OCEANUS Alongtrack sensor Data      ',...
'   ',...
'                   Parameter         Description                         Units',...
'                 ---------------------------------------------------------------',...
'   ',...
'                   day_utc           day of month                        day',...
'                   hr                gmt hour',...
'                   mn                minute',...
'                   yrday0_utc        fractional gmt yearday              yearday',...
'                   lat               latitude                            decimal degrees',...
'                   lon               longitude                           decimal degrees',...
'                   temp_ss5          hull temp @5m                       degC',...
'                   sal               hull salt                           PSU',...
'                   cond              conductivity                        mmho/cm',...
'                   temp_air          air temp                            degC        ',...
'                   ewind             "corrected" eastward wind           m/s',...
'                   nwind             "corrected" northward wind          m/s',...
'                   press_bar         barometric pressure',...
'                   radiation_s       shortwave radiation',...
'                   wind_taux         eastward wind stress                Pa',...
'                   wind_tauy         westward wind stress                Pa',...
'  ',...
' Cleaned and merged to 1 minute intervals (see Jim Manning for details)',...
' Note: I have been delayed in getting this data on-line because I am not happy with my "corrected" ',...
' wind (with ships motion removed) and, I am still not comfortable with posting the corrected wind ',...
' so I have added a comment on the fact that it is questionable. I have notified the OCEANUS SSSG ',...
' people about this problem. In the meantime I suggest that any one interested in wind for these ',...
' periods use the NOAA buoy winds instead. ',...
' Last modified: June 17, 1997 ');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 12, 1997 (1997.03013699) ', ...
'         Ending_Date:    May. 23, 1997 (1997.39089611)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 70.890100 W ', ...
'              East Bounding Coordinate: 66.141415 W ', ...
'              South Bounding Coordinate: 40.161000 N ', ...
'              North Bounding Coordinate: 41.683778 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               James Manning', ...
'               NMFS',...
'               Woods Hole, MA 02543',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > jmanning@whsun1.wh.whoi.edu',...
'               FAX: 508-495-2258',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];