%
%               Great Lakes AVHRR SST DATA SET

%
% $Log: glk.m,v $
% Revision 1.15  1999/10/27 22:10:40  root
% Fixed many spelling and grammatical errors in comment fields.
%
% Revision 1.14  1999/09/02 18:27:25  root
% *** empty log message ***
%
% Revision 1.10  1999/06/01 00:53:51  dbyrne
%
%
% Many fixes in prep for AGU.  fth, htn, glk and prevu changed to use
% fileservers. -- dbyrne 99/05/31
%
% Revision 1.2  1999/05/28 17:32:51  kwoklin
% Add all globec datasets. Fix depth representation for all globec datasets
% and nbneer dataset. Fix frontal display for htn and glkfront. Make use of
% getjgsta for all jgofs datasets. Point usgsmbay to new server. Point htn,
% glk, fth and prevu to new FF server.                                 klee
%

% $Id: glk.m,v 1.15 1999/10/27 22:10:40 root Exp $
% make use of new FF file server            klee 05/17/99 

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectf';   % klee 05/17/99
% FUNCTIONS -- OPTIONAL
Cat_m_File = 'glkcat';          % klee 05/17/99
%URL_m_File = 'glkurl';         

% VARIABLES -- OPTIONAL
Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-dsp/glk_sst_decloud/';
%CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-jg/glk_sst_decloud';
CatalogServer = 'http://maewest.gso.uri.edu/cgi-bin/nph-ff/catalog/glk.dat'; % klee 05/17/99
Nlon = 1024;
Nlat = 1024;

% VARIABLES -- REQUIRED
LonRange = [-92.196 -76.104];
LatRange = [50.778 39.422];
TimeRange = [1985 1990];
DepthRange = [0 0];
DepthUnits = '';
Resolution = 1.236;                  % avg res.

%DataName = 'Great Lakes AVHRR'; % Name for this dataset.
                                          % PCC Changed 12/13/98 to regularize names.
DataName = 'SST - Great Lakes AVHRR - URI'; % Name for this dataset.
TimeName = '';
LongitudeName = 'lon';
LatitudeName = 'lat';
DepthName = '';
SelectableVariables = str2mat('Sea_Temp');
DodsName = 'dsp_band_1';

% note: DataNull is applied *before* scaling
DataNull = [NaN NaN NaN NaN 0];
DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; -2.0  0.125];
DataRange = [NaN NaN; -92.196 -76.104; 50.778 39.422; NaN NaN; ...
  -1.375 29.875];

Acknowledge = sprintf('%s\n\n%s', ...
    [ 'The authors of this dataset are R. Evans and  P. Cornillon.  ', ...
      'The data were provided by the Graduate School of Oceanography at ',...
      'University of Rhode Island ', ...
      '(http://www.cdc.noaa.gov) and accessed via ', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'], ...
    [ 'Citation:  P. Cornillon, C. Gilman, L. Stramma, O. Brown, R. Evans and',...
      ' J. Brown (1987). Processing and analysis of large volumes of ',...
      'satellite-derived thermal infrared data. J. Geophys. Res., 92,',...
      ' 12993-13002.']);

% COMMENTS
Comments1 = sprintf('%s\n', ...
'                  URI 1.1km Great Lakes SST fields', ...
'     ', ...
'    This is a subset of the University of Rhode Island, Graduate School of ', ...
'    Oceanographys archive of sea surface temperature satellite images. These', ...
'    images are processed Advanced Very High Resolution Radiometer (AVHRR)', ...
'    data from NOAA satellites. ', ...
'    ', ...
'    The archive contains up to 5 images per day. We are reprocessing all', ...
'    of the data in our archive which covers the period from April 1979 to', ...
'    the present.  We began the reprocessing effort with data in the late', ...
'    1980''s and are processing forward and backward in time. The NASA/NOAA', ...
'    Pathfinder SST algorithm is being used for the reprocessing. Each of the ', ...
'    1024 by 1024 pixel images in the archive covers the area from latitude 39.42N', ...
'    longitude 92.20W to latitude 50.78N longitude 76.10W using a cylindrical ', ...
'    equirectangular map projection with a resolution of approximately 1.1 km/pixel.',...
'    Temperature data values are stored as 8 bit unsigned integer values (digital', ...
'    counts 0 - 255). The temperature (T) in degrees centigrade for a digital', ...
'    count of D is given by the  equation: ',...
'     ', ...
'                                        T = 0.125 * D - 2',...
'   ', ... 
'    Digital count values 0-3 are reserved for graphics.  A digital count of 4 ', ...
'    represents clouds.  Valid temperature values are in the range -1.375 - 29.875 C', ...
'    with -2.0 to -1.625 not used and -1.5 corresponding to clouds.', ...
'    Scaling can be turned off by setting all values of DataScale to NaN.');

Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: 1985 ', ...
'         Ending_Date: 1990 ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 92.196 W ', ...
'              East Bounding Coordinate: 76.104 W ', ...
'              South Bounding Coordinate: 39.422 N ', ...
'              North Bounding Coordinate: 50.778 N ', ...
'    Units:  Once converted from digital counts ==> Degrees Centigrade ', ...
'    Resolution: .125 deg. C ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address: ', ...
'               Peter Cornillon ', ...
'               Graduate School of Oceanography ', ...
'               University of Rhode Island ', ...
'               South Ferry Road ', ...
'               Narragansett, Rhode Island  02882 ', ...
'               USA ', ...
'         Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];

