%
%               FILE DESCRIBING THE URI HIGH RESOLUTION SST DATA SET
%                              Cape Hatteras to Nova Scotia

%
% $Log: htn.m,v $
% Revision 1.14  1999/10/27 22:10:40  root
% Fixed many spelling and grammatical errors in comment fields.
%
% Revision 1.13  1999/09/02 18:27:27  root
% *** empty log message ***
%
% Revision 1.13  1999/06/04 14:20:03  kwoklin
% Change dataname back to original.      klee
%
% Revision 1.12  1999/06/01 00:53:51  dbyrne
%
%
% Many fixes in prep for AGU.  fth, htn, glk and prevu changed to use
% fileservers. -- dbyrne 99/05/31
%
% Revision 1.2  1999/05/28 17:32:51  kwoklin
% Add all globec datasets. Fix depth representation for all globec datasets
% and nbneer dataset. Fix frontal display for htn and glkfront. Make use of
% getjgsta for all jgofs datasets. Point usgsmbay to new server. Point htn,
% glk, fth and prevu to new FF server.                                 klee
%

% $Id: htn.m,v 1.14 1999/10/27 22:10:40 root Exp $
% make use of new FF file server            klee 05/17/99 

% FUNCTIONS -- REQUIRED
GetFunctionName = 'getrectf';            % klee 05/17/99
% FUNCTIONS -- OPTIONAL
Cat_m_File = 'htncat';                   % klee 05/17/99
%URL_m_File = 'htnurl';

% VARIABLES -- OPTIONAL
Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-dsp/htn_sst_decloud/';
%CatalogServer = 'http://dods.gso.uri.edu/cgi-bin/nph-jg/htn_sst_decloud';
CatalogServer = 'http://maewest.gso.uri.edu/cgi-bin/nph-ff/catalog/htn.dat';   %klee 05/17/99
Nlon = 1024;
Nlat = 1024;

% VARIABLES -- REQUIRED
LonRange = [-77.5326 -63.0674];
LatRange = [45.7242 34.6758];
TimeRange = [1985 1996];
DepthRange = [0 0];
DepthUnits = '';
Resolution = 1.236;                  % avg res.

%DataName = 'Hatteras to N.S. AVHRR'; % Name for this dataset.
                                          % PCC Changed 12/13/98 to regularize names.
DataName = 'SST - Hatteras to Nova Scotia AVHRR - URI'; % Name for this dataset.
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = '';
DepthName = '';
SelectableVariables = str2mat('Sea_Temp');
DodsName = 'dsp_band_1';

% note: DataNull is applied *before* scaling
DataNull = [NaN NaN NaN NaN 0];
DataScale = [NaN NaN; NaN NaN; NaN NaN; NaN NaN; -2.0  0.125];
DataRange = [NaN NaN; NaN NaN; 45.7242 34.6758; NaN NaN; ...
  0.0 32.0];


Acknowledge = sprintf('%s\n%s', ...
    [ 'The authors of this dataset are R. Evans and  P. Cornillon.  ', ...
      'The data were provided by the Graduate School of Oceanography at ',...
      'University of Rhode Island ', ...
      '(http://rs.gso.uri.edu/avhrr-archive/archive.html) and accessed via ', ...
      'the Distributed Oceanographic Data System (DODS: ', ...
      'http://www.unidata.ucar.edu/packages/dods).'], ...
    [ 'Citation:  P. Cornillon, C. Gilman, L. Stramma, O. Brown, R. Evans and',...
      'J. Brown (1987). Processing and analysis of large volumes of ',...
      'satellite-derived thermal infrared data. J. Geophys. Res., 92,',...
      '12993-13002. ']);

% COMMENTS
Comments1 = sprintf('%s\n', ...
'                  URI 1.1km Hatteras to Nova Scotia SST fields', ...
'     ', ...
'    This is a subset of the University of Rhode Island, Graduate School of ', ...
'    Oceanographys archive of sea surface temperature satellite images. These', ...
'    images are processed Advanced Very High Resolution Radiometer (AVHRR)', ...
'    data from NOAA satellites. ', ...
'    ', ...
'    The archive contains up to 5 images per day. We are reprocessing all', ...
'    of the data in our archive which covers the period from April 1979 to', ...
'    the present.  We began the reprocessing effort with data in the late', ...
'    1980''s and are processing forward and backward in time. The NASA/NOAA', ...
'    Pathfinder SST algorithm is being used for the reprocessing. Each of the ', ...
'    1024 by 1024 pixel images in the archive covers the area from latitude 34.68N', ...
'    longitude 77.53W to latitude 45.72N longitude 63.07W using a cylindrical ', ...
'    equirectangular map projection with a resolution of approximately 1.1 km/pixel.',...
'    Temperature data values are stored as 8 bit unsigned integer values (digital', ...
'    counts 0 - 255). The temperature (T) in degrees centigrade for a digital', ...
'    count of D is given by the  equation: ',...
'     ', ...
'                                        T = 0.125 * D ',...
'   ', ... 
'    Digital count values 0-3 are reserved for graphics. A digital count of 4 ', ...
'    represents clouds.  Valid temperature values are in the range 0.625 - 31.875 deg. C', ...
'    with 0.0-0.375 not used and 0.5 corresponding to clouds.', ...
'    Scaling can be turned off by setting all values of DataScale to NaN.');
Comments2 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Jan. 1, 1985 ', ...
'         Ending_Date: Dec. 31, 1995 ', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 77.5326 W ', ...
'              East Bounding Coordinate: 63.0674 W ', ...
'              South Bounding Coordinate: 34.6758 N ', ...
'              North Bounding Coordinate: 45.7242 N ', ...
'    Units:  Once converted from digital counts ==> Degrees Centigrade ', ...
'    Resolution: .125 deg. C ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address: ', ...
'               Peter Cornillon ', ...
'               Graduate School of Oceanography ', ...
'               University of Rhode Island ', ...
'               South Ferry Road ', ...
'               Narragansett, Rhode Island  02882 ', ...
'               USA ', ...
'         Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments2];

