function [url,loaddodsbool,infotext,times,Pass_Times,depths,Pass_Depths,lats,lons,num_url] = iescat(getarchive, getranges, getmode)

%
% This function will return ies time/lat/lon/depth values back to browser.
%

%
% $Log: iescat.m,v $
% Revision 1.2  1999/10/27 22:21:48  root
% *** empty log message ***
%
% Revision 1.2  1999/10/08 16:17:06  kwoklin
% Finallize comments and slice time series from GEM output. Modified data
% size calculation to more precise level.                     klee
%
%
% $Id: iescat.m,v 1.2 1999/10/27 22:21:48 root Exp $
% klee 06/30/99

times = []; depths = []; lats = []; lons = []; 
Pass_Times = []; Pass_Depths = []; idx = [];
tmplat = []; tmplon = []; tmpdepth = []; tmptimes = []; url = []; infotext = [];
num_url = 0; loaddodsbool = 0;

if exist(getarchive) == 2
  eval(getarchive)
else
  disp('Metadata not found!')
  return
end

InstNo = [1; 2; 3; 4; 6; 7; 8; 9; 10];
InstLat = [32.5865; 32.4165; 32.2506; 32.0836; 31.5019; 31.0046; 30.0017; 27.9967; 25.0033];
InstLon = [133.204; 133.301; 133.385; 133.482; 133.799; 134.065; 134.598; 135.618; 137.053];
InstDep = [830; 960; 1190; 2020; 4880; 4450; 4630; 5270; 5050];

[times, passtimes] = daily2(TimeRange, IntervalTime, getranges);
tmptimes = find(getranges(4,1) <= times & getranges(4,2) >= times);
times = times(tmptimes);
mintime = min(times);
maxtime = max(times);
    
%now we go ahead to get the geo url
idx = find(getranges(1,1) <= InstLon & getranges(1,2) >= InstLon &...
           getranges(2,1) <= InstLat & getranges(2,2) >= InstLat & ...
           getranges(3,1) <= InstDep & getranges(3,2) >= InstDep);
tmplat = InstLat(idx);
tmplon = InstLon(idx);
tmpdepth = InstDep(idx);

if ~isempty(tmplat) & ~isempty(times)
  num_url = num_url + 1;
  lats = [lats; tmplat];
  lons = [lons; tmplon];
  depths = [depths; tmpdepth];
  Pass_Times = [Pass_Times; mintime; maxtime; idx];
else
  times = []; 
end

return