function [isl] = isleapm(year)
%
%  Returns 1 if any input year is a leap year according to the
%  Pope Gregory and his followers, and 0 otherwise.
%
%   started 2 april 1999 by paul hemenway
%   adopted from isleap by Deirdre Byrne

% The preceding empty line is important.
% $Id: isleapm.m,v 1.1 1999/09/02 18:33:43 root Exp $
%

% $Log: isleapm.m,v $
% Revision 1.1  1999/09/02 18:33:43  root
% *** empty log message ***
%
% Revision 1.1  1999/05/21 16:58:07  paul
% Initial version....phemenway
%


isl = zeros(size(year));
intyear = floor(year);

[indx1,indx2]=find( rem( intyear, 4.0 ) == 0 & rem( intyear, 100.0 ) ~= 0 );

   isl(indx1,indx2) = ones(size(isl(indx1,indx2)));

[indx1,indx2]=find( rem( intyear, 400.0 ) == 0 );
   isl(indx1,indx2) = ones(size(isl(indx1,indx2)));
